import dynamix_sdk.base as _base


class CloudapiVinsExtNetConnectResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiVinsExtNetConnectProtocol(_base.BasePostAPIFunctionProtocol):
    def ext_net_connect(
        self,
        *,
        ext_net_id: int | None = None,
        ip_addr: str | None = None,
        vins_id: int,
    ) -> CloudapiVinsExtNetConnectResultBool:
        ...
